package matrices2;

import matrices.Matrix;
import matrices.MatrixException;
import matrices.MatrixUtil;
import matrices.Util;

public class Matrix067 {
    public static void main(String[] args) {
        double[][] array1 = {{2, 0, 4, 6}, {0, -2, 2, 0}, {6, 0, 14, 10},
                {-2, 0, 0, -4}};
        Matrix matrix1 = new Matrix(array1);
        matrix1.printToConsole();
        try {
            Util.print(matrix1.det());
        } catch (MatrixException e) {
            e.printStackTrace();
        }
        Matrix matrix2 = MatrixUtil.makeI(matrix1, 3, 3);
        matrix2.printToConsole();
        Util.print("");
        Matrix matrix3 = MatrixUtil.multiply3(matrix2, matrix1);
        matrix3.printToConsole();
        try {
            Util.print(matrix3.det());
        } catch (MatrixException e) {
            e.printStackTrace();
        }
    }
}
