package matrices2;

import matrices.Matrix;
import matrices.MatrixException;
import matrices.MatrixUtil;
import matrices.Util;

public class Matrix064 {
    public static void main(String[] args) {
        double[][] array2 = {{-1, 2, 3, 4}, {5, -6, 7, 8}, {9, 10, -11, 12},
                {13, 14, 15, 16}};
        Matrix matrix2 = new Matrix(array2);
        matrix2.printToConsole();
        try {
            Util.print(matrix2.det());
        } catch (MatrixException e) {
            e.printStackTrace();
        }
        Util.print("x");
        double[][] array1 = {{1, 0, 0, 0}, {0, 3, 0, 0}, {0, 0, 1, 0},
                {0, 0, 0, 1}};
        Matrix matrix1 = new Matrix(array1);
        matrix1.printToConsole();
        Util.print("=");
        Matrix matrix3 = MatrixUtil.multiply3(matrix2, matrix1);
        matrix3.printToConsole();
        try {
            Util.print(matrix3.det());
        } catch (MatrixException e) {
            e.printStackTrace();
        }
    }
}
