package matrices2;

import matrices.Matrix;
import matrices.MatrixException;
import matrices.MatrixUtil;
import matrices.Util;

public class Matrix081 {
    public static void main(String[] args) {
        double[][] A = {{1, 1, -1, -1, 8}, {1, -1, -2, 0, 4}};
        Matrix matrix = new Matrix(A);
        matrix.printToConsole();
        Util.print("");
        Matrix mat = null;
        try {
            mat = MatrixUtil.gaussJordan(matrix, 2, 2);
        } catch (MatrixException e) {
            e.printStackTrace();
        }
        mat.printToConsole();
        Util.print("");
    }
}